lxdream.org :: Issues
lxdream 0.9.1
released Jun 29
Download Now

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000030lxdreamPVR2public2007-02-06 19:322019-09-02 01:32
Reporternkeynes 
Assigned Tonkeynes 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionnot fixable 
PlatformOSOS Version
Product VersionM2 
Target VersionFixed in Version 
Summary0000030: Depth buffer problems
DescriptionThe PVR2 seems to have an effective 32-bit floating point depth buffer, which most current cards still don't support. Unfortunately this means that for some games, the depth range and necessary precision exceeds that of the (commonly available) 24-bit fixed point depth buffer, resulting in rather nasty depth artifacts.

It's not clear how to fix this in the general case (in hardware).
TagsNo tags attached.
Milestone0.9
Attached Files

- Relationships
child of 0000009assignednkeynes Renderer tracking bug 

-  Notes
(0000111)
nkeynes (administrator)
2019-09-02 01:32

Closing as not feasible to fix for now, and likely less of an issue with modern hardware

- Issue History
Date Modified Username Field Change
2007-02-06 19:32 nkeynes New Issue
2007-02-06 19:33 nkeynes Relationship added child of 0000009
2007-09-20 17:15 nkeynes Status new => assigned
2007-09-20 17:15 nkeynes Assigned To => nkeynes
2007-09-20 17:15 nkeynes Milestone => M4
2008-02-03 18:22 nkeynes Milestone M4 => 0.9
2019-09-02 01:32 nkeynes Note Added: 0000111
2019-09-02 01:32 nkeynes Status assigned => closed
2019-09-02 01:32 nkeynes Resolution open => not fixable
.